/*
 * init_defaults.h
 *
 *  Created on: May 14, 2025
 *      Author: tm
 */

#ifndef INIT_DEFAULTS_H_
#define INIT_DEFAULTS_H_

#define   BYTE_SIGNATURE    0x55AA55AA

void apf_min_defaults_to_run(void);

void apf_defaults(void);
//void initSysSampFRAMVariables(void);

//void initSysDataVariables(void);
void eeprom_sys_data_defaults(void);
int eeprom_sys_data_verify(void);

void eeprom_sys_qa_defaults(void);
int eeprom_sys_qa_verify(void);

void eeprom_apf_cfg_defaults(void);
int eeprom_apf_cfg_verify(void);

void fram_apf_var_defaults(void);
int fram_apf_vars_verify(void);

void init_sys_samp_default(void);
int fram_sys_samp_verify(void);

void fram_sampl_struct_defaults(void);
void ads1248_sampling_defaults(void);

void config_qa_data_init(void);

void fram_sys_samp_defaults(void);

void apf_init_apfArray_struct_defaults( void );

void ram_apf_var_defaults(void);

#endif /* INIT_DEFAULTS_H_ */
